Loading...
Searching...
No Matches
osmium::StringMatcher::print_visitor< TChar, TTraits > Class Template Reference
Inheritance diagram for osmium::StringMatcher::print_visitor< TChar, TTraits >:
[legend]
Collaboration diagram for osmium::StringMatcher::print_visitor< TChar, TTraits >:
[legend]

## Public Member Functions

| print_visitor (std::basic_ostream< TChar, TTraits > &out)
template<typename TMatcher>
void | operator() (const TMatcher &t) const noexcept

## Private Attributes

std::basic_ostream< TChar, TTraits > * | m_out

## Constructor & Destructor Documentation

## print_visitor()

template<typename TChar, typename TTraits>

osmium::StringMatcher::print_visitor< TChar, TTraits >::print_visitor | ( | std::basic_ostream< TChar, TTraits > & | out | ) |

inlineexplicit

## Member Function Documentation

## operator()()

template<typename TChar, typename TTraits>
template<typename TMatcher>

void osmium::StringMatcher::print_visitor< TChar, TTraits >::operator() | ( | const TMatcher & | t | ) | const

inlinenoexcept

## Member Data Documentation

## m_out

template<typename TChar, typename TTraits>

std::basic_ostream<TChar, TTraits>* osmium::StringMatcher::print_visitor< TChar, TTraits >::m_out

private

The documentation for this class was generated from the following file:

- include/osmium/util/string_matcher.hpp